Debian Bug report logs - #469190
dialog segfaults when pressing the help button on a form field that needs to be scrolled to

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Dmitry Gomerman <dmitry.gomerman@scalent.com>

Date: Mon, 3 Mar 2008 18:18:01 UTC

Severity: important

Tags: patch

Found in version 1.1-20071028

Fixed in version dialog/1.1-20080316-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@invisible-island.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#469190; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Gomerman <dmitry.gomerman@scalent.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Gomerman <dmitry.gomerman@scalent.com>
To: submit@bugs.debian.org
Subject: dialog segfaults when pressing the help button on a form field that needs to be scrolled to
Date: Mon, 03 Mar 2008 10:04:13 -0800
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 1.1-20071028
Severity: important
Tags: patch


Dialog segfaults when a help button is pressed on a form field that needs to be scrolled to.

To reproduce:
* run: ./dialog --help-button --help-status --form test 20 80 7 one 1 1 one 1 10 10 10 two 2 1 two 2 10 10 10 three 3 1 three 3 10 10 10 four 4 1 four 4 10 10 10 five 5 1 five 5 10 10 10 six 6 1 six 6 10 10 10 seven 7 1 seven 7 10 10 10 eight 8 1 eight 8 10 10 10
* scroll to the last field (eight), tab to the help button and press enter
* you should get a Segmentation fault

The following patch by Vladimir Mezentsev appears to fix it:
# diff dialog-1.1-20071028 dialog-1.1-20071028_fixed/
diff dialog-1.1-20071028/formbox.c dialog-1.1-20071028_fixed/formbox.c
772c772
<     *current_item = scrollamt + choice;
---
>     *current_item = choice;
Common subdirectories: dialog-1.1-20071028/po and dialog-1.1-20071028_fixed/po
Common subdirectories: dialog-1.1-20071028/samples and
dialog-1.1-20071028_s/samples



Warmest Regards,
Dmitry Gomerman

________________________________________________________________________



[Message part 2 (text/html, inline)]

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 469190-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@invisible-island.net>
Cc: 469190-forwarded@bugs.debian.org, Dmitry Gomerman <dmitry.gomerman@scalent.com>
Subject: Bug#469190: dialog segfaults when pressing the help button on a form field that needs to be scrolled to (fwd)
Date: Tue, 11 Mar 2008 11:17:55 +0100 (CET)
Hello.

I received this from the debian bug system:

---------- Forwarded message ----------
From: Dmitry Gomerman <dmitry.gomerman@scalent.com>
To: submit@bugs.debian.org
Date: Mon, 03 Mar 2008 10:04:13 -0800
Subject: Bug#469190: dialog segfaults when pressing the help button on a form
    field that needs to be scrolled to

Package: dialog
Version: 1.1-20071028
Severity: important
Tags: patch


Dialog segfaults when a help button is pressed on a form field that needs to be scrolled to.

To reproduce:
* run: ./dialog --help-button --help-status --form test 20 80 7 one 1 1 one 1 10 10 10 two 2 1 two 2 10 10 10 three 3 1 three 3 10 10 10 four 4 1 four 4 10 10 10 five 5 1 five 5 10 10 10 six 6 1 six 6 10 10 10 seven 7 1 seven 7 10 10 10 eight 8 1 eight 8 10 10 10
* scroll to the last field (eight), tab to the help button and press enter
* you should get a Segmentation fault

The following patch by Vladimir Mezentsev appears to fix it:
# diff dialog-1.1-20071028 dialog-1.1-20071028_fixed/
diff dialog-1.1-20071028/formbox.c dialog-1.1-20071028_fixed/formbox.c
772c772
<     *current_item = scrollamt + choice;
---
>     *current_item = choice;
Common subdirectories: dialog-1.1-20071028/po and dialog-1.1-20071028_fixed/po
Common subdirectories: dialog-1.1-20071028/samples and
dialog-1.1-20071028_s/samples



Warmest Regards,
Dmitry Gomerman

________________________________________________________________________




Message #9 received at 469190-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: Thomas Dickey <dickey@invisible-island.net>, 469190-forwarded@bugs.debian.org, Dmitry Gomerman <dmitry.gomerman@scalent.com>
Subject: Re: Bug#469190: dialog segfaults when pressing the help button on a form field that needs to be scrolled to (fwd)
Date: Tue, 11 Mar 2008 07:10:35 -0400 (EDT)
On Tue, 11 Mar 2008, Santiago Vila wrote:

> Hello.
>
> I received this from the debian bug system:

yes, I saw that, was working on a different slice of dialog this week,
and hope to have a new version out this weekend.

thanks

>
> ---------- Forwarded message ----------
> From: Dmitry Gomerman <dmitry.gomerman@scalent.com>
> To: submit@bugs.debian.org
> Date: Mon, 03 Mar 2008 10:04:13 -0800
> Subject: Bug#469190: dialog segfaults when pressing the help button on a form
>    field that needs to be scrolled to
>
> Package: dialog
> Version: 1.1-20071028
> Severity: important
> Tags: patch
>
>
> Dialog segfaults when a help button is pressed on a form field that needs to be scrolled to.
>
> To reproduce:
> * run: ./dialog --help-button --help-status --form test 20 80 7 one 1 1 one 1 10 10 10 two 2 1 two 2 10 10 10 three 3 1 three 3 10 10 10 four 4 1 four 4 10 10 10 five 5 1 five 5 10 10 10 six 6 1 six 6 10 10 10 seven 7 1 seven 7 10 10 10 eight 8 1 eight 8 10 10 10
> * scroll to the last field (eight), tab to the help button and press enter
> * you should get a Segmentation fault
>
> The following patch by Vladimir Mezentsev appears to fix it:
> # diff dialog-1.1-20071028 dialog-1.1-20071028_fixed/
> diff dialog-1.1-20071028/formbox.c dialog-1.1-20071028_fixed/formbox.c
> 772c772
> <     *current_item = scrollamt + choice;
> ---
>>     *current_item = choice;
> Common subdirectories: dialog-1.1-20071028/po and dialog-1.1-20071028_fixed/po
> Common subdirectories: dialog-1.1-20071028/samples and
> dialog-1.1-20071028_s/samples
>
>
>
> Warmest Regards,
> Dmitry Gomerman
>
> ________________________________________________________________________
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dmitry Gomerman <dmitry.gomerman@scalent.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 469190-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 469190-close@bugs.debian.org
Subject: Bug#469190: fixed in dialog 1.1-20080316-1
Date: Tue, 18 Mar 2008 19:02:03 +0000
Source: dialog
Source-Version: 1.1-20080316-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20080316-1.diff.gz
  to pool/main/d/dialog/dialog_1.1-20080316-1.diff.gz
dialog_1.1-20080316-1.dsc
  to pool/main/d/dialog/dialog_1.1-20080316-1.dsc
dialog_1.1-20080316-1_i386.deb
  to pool/main/d/dialog/dialog_1.1-20080316-1_i386.deb
dialog_1.1-20080316.orig.tar.gz
  to pool/main/d/dialog/dialog_1.1-20080316.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469190@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 18 Mar 2008 19:45:10 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 1.1-20080316-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 469190
Changes: 
 dialog (1.1-20080316-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed segfault in formbox. Closes: #469190.
Files: 
 2dd19818544423a31549836ffb481e20 593 misc optional dialog_1.1-20080316-1.dsc
 3d262cbc41e4db23251e7be924c4a28b 373022 misc optional dialog_1.1-20080316.orig.tar.gz
 44ac026c1d3f1d54d5992b469608c3e0 9333 misc optional dialog_1.1-20080316-1.diff.gz
 84d3204c98138a4db2bb0e5dd9e0a949 260068 misc optional dialog_1.1-20080316-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH4A8nd9Uuvj7yPNYRAtJjAJ4wnDZ4/4iiemsmrSfGjkT2VBuQDwCgwrob
bjK0uKUfV3eVY8erVyeww0E=
=oC7F
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Apr 2008 07:41:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:22:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.